package repostatus

import 	(
	"go.wit.com/gui/gui"
	"go.wit.com/gui/gadgets"
)

func New(p *gui.Node, path string) *RepoStatus {
	rs := &RepoStatus {
		hidden: true,
		ready: false,
		parent: p,
		repopath: path,
	}
	rs.tags = make(map[string]string)
	rs.window = gadgets.NewBasicWindow(p, "GO Repo Details " + path)
	rs.ready = true
	return rs
}
